
Ryzom - Bug # 913

Status: Closed Priority: High
Author: CatcherInTheRy Category: Services: General
Created: 05/18/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: shard_start.bat file unable to locate service executable files. (compiled on VC 2008 Express, win7 64pro, as 

win32 app)
Description

The code/ryzom/server/shard_start.bat file expects the service exe files to be located under code/ryzom/server/Release but the exe's
are created under code/ryzom/server/obj/Release.

The shard_start.bat file needs to be modified or the executables need to be copied to the expected location, post build.

History
#1 - 05/18/2010 08:13 pm - Kane

I don't suggest this being fixed via the start.bat and it takes 2 secs to do this but yet fix the move/copy of the exe's back into the proper format of
code/ryzom/server/Release.

#2 - 05/19/2010 11:09 am - vl

do you use cmake?
I use the sln/vcproj from repo and exe are in src/servicename/servicename.exe and the .bat are working

#3 - 05/19/2010 11:12 am - kervala

It seems like it could be my fault (i modified some projects), please could you give the name of services which couldn't be located ?

#4 - 05/19/2010 11:50 am - kervala
- Category set to Services: General
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High

I'm fixing this ASAP :)

#5 - 05/19/2010 05:36 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r193.
#6 - 05/19/2010 06:43 pm - kervala
- Target version set to Version 0.8.0

#7 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed

08/23/2018 2/2


